## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 23;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Examples and vignettes use the network.
%bcond_with network

# Need to bootstrap for magick
%bcond_with bootstrap

%global packname tesseract
%global packver  5.1.0
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          %{packver}
Release:          %autorelease
Summary:          Open Source OCR Engine

# Automatically converted from old format: ASL 2.0 - review is highly recommended.
License:          Apache-2.0
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

# Fix leptonica include
Patch0:           R-tesseract_include.patch

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-Rcpp >= 0.12.12, R-pdftools >= 1.5, R-curl, R-rappdirs, R-digest
# Suggests:  R-magick >= 1.7, R-spelling, R-knitr, R-tibble, R-rmarkdown
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    tex(inconsolata.sty)
BuildRequires:    R-Rcpp-devel >= 0.12.12
BuildRequires:    R-pdftools >= 1.5
BuildRequires:    R-curl
BuildRequires:    R-rappdirs
BuildRequires:    R-digest
%if %{without bootstrap}
BuildRequires:    R-magick >= 1.7
BuildRequires:    R-spelling
BuildRequires:    R-knitr
BuildRequires:    R-tibble
BuildRequires:    R-rmarkdown
%endif
BuildRequires:    pkgconfig(lept)
BuildRequires:    pkgconfig(tesseract)
BuildRequires:    tesseract-langpack-eng
%if %{with network}
# For rmarkdown, because docs get built.
BuildRequires:    glyphicons-halflings-fonts
%endif

%description
Bindings to 'Tesseract' <https://opensource.google/projects/tesseract>: a
powerful optical character recognition (OCR) engine that supports over 100
languages. The engine is highly configurable in order to tune the detection
algorithms and obtain the best possible results.


%prep
%autosetup -p1 -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{without bootstrap}
%if %{with network}
%{_bindir}/R CMD check %{packname}
%else
%{_bindir}/R CMD check %{packname} --no-examples --no-vignettes
%endif
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%doc %{rlibdir}/%{packname}/AUTHORS
%license %{rlibdir}/%{packname}/COPYRIGHT
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/WORDLIST


%changelog
## START: Generated by rpmautospec
* Fri Apr 18 2025 Iñaki Úcar <iucar@fedoraproject.org> - 5.1.0-23
- R-maint-sig mass rebuild

* Fri Apr 18 2025 Iñaki Úcar <iucar@fedoraproject.org> - 5.1.0-22
- R-maint-sig mass rebuild

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Nov 12 2024 Sandro Mani <manisandro@gmail.com> - 5.1.0-20
- BR: tesseract-langpack-eng

* Tue Nov 12 2024 Sandro Mani <manisandro@gmail.com> - 5.1.0-19
- BR: tex(inconsolata.sty)

* Tue Nov 12 2024 Sandro Mani <manisandro@gmail.com> - 5.1.0-18
- Rebuild (tesseract)

* Wed Sep 25 2024 Michel Lind <salimma@fedoraproject.org> - 5.1.0-17
- Rebuild for tesseract-5.4.1-3 (soversion change from 5.4.1 to just 5.4)

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 5.1.0-16
- convert ASL 2.0 license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 13 2024 Sandro Mani <manisandro@gmail.com> - 5.1.0-14
- Rebuild for tesseract-5.4.1

* Thu Apr 25 2024 Iñaki Úcar <iucar@fedoraproject.org> - 5.1.0-13
- R-maint-sig mass rebuild

* Sun Jan 28 2024 Sandro Mani <manisandro@gmail.com> - 5.1.0-12
- Rebuild (tesseract)

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Oct 07 2023 Sandro Mani <manisandro@gmail.com> - 5.1.0-9
- Rebuild (tesseract)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Sandro Mani <manisandro@gmail.com> - 5.1.0-7
- Rebuild (tesseract)

* Fri Apr 21 2023 Iñaki Úcar <iucar@fedoraproject.org> - 5.1.0-6
- R-maint-sig mass rebuild

* Thu Apr 06 2023 Sandro Mani <manisandro@gmail.com> - 5.1.0-5
- Rebuild (tesseract)

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 23 2022 Sandro Mani <manisandro@gmail.com> - 5.1.0-3
- Rebuild (tesseract)

* Sat Sep  3 2022 Tom Callaway <spot@fedoraproject.org> - 5.1.0-2
- bootstrap off

* Sat Sep  3 2022 Tom Callaway <spot@fedoraproject.org> - 5.1.0-1
- update to 5.1.0
- rebuild for R 4.2.1
- bootstrap on

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 16 2021 Tom Callaway <spot@fedoraproject.org> - 4.1.1-1
- update to 4.1.1
- Rebuilt for R 4.1.0

* Mon Jan 25 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Aug 06 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.1-2
- Use correct R-Rcpp-devel BuildRequires

* Mon Aug 03 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.1-1
- initial package for Fedora

## END: Generated by rpmautospec
